Summary:	Utilities for infrared communication between devices
Name:		irda-utils
Version:	0.9.16
Release:	4mdk

Source:		http://download.sourceforge.net/irda/%{name}-%{version}.tar.bz2
Patch1:		irda-utils-0.9.14-chkconfig.patch.bz2
Patch2:		irda-utils-0.9.14-typo.patch.bz2
Patch3:		irda-utils-0.9.13-i18n.patch.bz2
Patch4:		irda-utils-0.9.16-rootonly.patch.bz2
Patch5:		irda-utils-0.9.15-rh1.patch.bz2
Patch6:		irda-utils-0.9.16-gcc3.4-fix.patch.bz2
Patch7:		irda-utils-0.9.16-tekram-ppc-buildfix.patch.bz2
Patch8:		irda-utils-0.9.16-fix-build.patch.bz2
Group:		System/Servers
URL:		http://irda.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	glib-devel autoconf2.5 automake1.4
PreReq:		rpm-helper

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
%setup -q
%patch1 -p1 -b .chkconfig
%patch2 -p1 -b .typo
%patch3 -p1 -b .i18n
%patch4 -p1 -b .root
%patch5 -p1 -b .rh1
%patch6 -p1 -b .gcc3.4
%patch7 -p1 -b .tekram-ppc-buildfix
%patch8 -p1 -b .fix-build
rm -f irdadump/{install-sh,mkinstalldirs,missing}

%build
export FORCE_AUTOCONF_2_5=1
%serverbuild
# autogen.sh sucks.
cd irdadump && libtoolize --copy --force && \
perl -pi -e s/1\.2/1\.4/ autogen.sh && \
perl -pi -e "s#automake#automake-1.4#g" autogen.sh && \
perl -pi -e "s#aclocal#aclocal-1.4#g" autogen.sh && cd ..
%make all RPM_BUILD_ROOT="$RPM_BUILD_ROOT" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin

%makeinstall  ROOT="$RPM_BUILD_ROOT" MANDIR="$RPM_BUILD_ROOT%{_mandir}"

for dir in irattach irdadump irdaping tekram; do
    cp $dir/README $dir/README.$dir
done

rm -f $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifcfg-irlan0

%post
%_post_service irda

%preun
%_preun_service irda

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README
%doc irattach/README.irattach
%doc irdadump/README.irdadump
%doc irdaping/README.irdaping
%doc tekram/README.tekram
/usr/sbin/irattach
/usr/sbin/irdaping
/usr/sbin/dongle_attach
%ifnarch ppc
/usr/sbin/findchip
%endif
/usr/bin/irdadump
/usr/bin/irpsion5
/usr/bin/irkbd
/etc/rc.d/init.d/irda
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/irda
#%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-irlan0
%{_mandir}/man?/*

%changelog
* Mon Jan 31 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-4mdk
- fix build (gb)

* Thu Jul 15 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.16-3mdk
- fix ppc build

* Thu Jun 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.16-2mdk
- fix gcc-3.4 patch (P6)

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.16-1mdk
- 0.9.16
- sync with fedora patches (P1-P5)
- fix build with gcc-3.4 (P6)
- force use of automake1.4 and autoconf2.5
- fix install
- fix no-prereq-on rpm-helper
- wipe out buildroot at the beginning of %%install, not %%prep
- cosmetics

* Thu Jul 10 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9.15-1mdk
- 0.9.15

* Mon Sep 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.14-5mdk
- removed ifcfg-irlan0 to avoid lock on some laptops.

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.14-4mdk
- libtoolize --copy --force before build to make it work with libtool 1.4.
- s/1.2/1.4/ autogen.sh
- s/Copyright/License/;

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.14-3mdk
- use the new rpm macros for servers.

* Mon Jan 29 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.14-2mdk
- disable findchip for PowerPC - not needed - prevents build

* Mon Jan 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.14-1mdk
- new version

* Fri Jan 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.13-2mdk
- corrected typo in init script

* Thu Nov 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

* Thu Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.10-2mdk
- Allow to build (fix %%doc)

* Tue Aug 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- group fix.

* Mon Feb  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- new version.
- init.d script activated.
- added a printer config file.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Nov 10 1999 Dag Brattli <dagb@cs.uit.no>
- 0.9.5
- Some fixes to irattach, so it works with the latest kernels and patches
- Removed OBEX which will now become its own distribution
- Removed irdadump-X11 which will be replaced with a GNOME version

* Wed Sep 8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.9.4
- include new stuff (palm3, psion, obex_tcp, ...)
- various fixes

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix .spec bug

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add README to %doc
- compile gnobex, now in irda-utils-X11

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- initial RPM:
  - handle RPM_OPT_FLAGS and RPM_BUILD_ROOT
  - fix build
  - split in normal and X11 packages
